(*  GREATIS SCREENSHOT                                     *)
(*  Copyright (C) 2005-2014 Greatis Software               *)
(*                                                         *)
(*  http://www.greatis.com/delphicb/screenshot/            *)

unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Screenshot, ExtCtrls, StdCtrls, ShellAPI;

type
  TMainForm = class(TForm)
    Screenshot: TScreenshot;
    ButtonShot: TButton;
    ButtonMore: TButton;
    ButtonClose: TButton;
    ScrollBoxShot: TScrollBox;
    ImageShot: TImage;
    RadioGroupSource: TRadioGroup;
    HandleLabel: TLabel;
    HandleEdit: TEdit;
    CheckBoxEntireWindow: TCheckBox;
    ButtonCopy: TButton;
    procedure FormCreate(Sender: TObject);
    procedure ButtonMoreClick(Sender: TObject);
    procedure ButtonCloseClick(Sender: TObject);
    procedure ButtonShotClick(Sender: TObject);
    procedure HandleEditKeyPress(Sender: TObject; var Key: Char);
    procedure ButtonCopyClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
var
  LF: TLogFont;
begin
  SystemParametersInfo(SPI_GETICONTITLELOGFONT,SizeOf(LF),@LF,0);
  with LF,Font do
  begin
    ScaleBy(Abs(lfHeight),Abs(Height));
    Handle:=CreateFontIndirect(LF);
  end;
end;

procedure TMainForm.ButtonMoreClick(Sender: TObject);
begin
  ShellExecute(Handle,'open','http://www.greatis.com/delphicb/screenshot/',nil,nil,SW_SHOWDEFAULT);
end;

procedure TMainForm.ButtonCloseClick(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TMainForm.ButtonShotClick(Sender: TObject);
begin
  with Screenshot do
  begin
    Source:=TScreenshotSource(RadioGroupSource.ItemIndex);
    EntireWindow:=CheckBoxEntireWindow.Checked;
    WindowHandle:=StrToInt(HandleEdit.Text);
    if Snap then
    begin
      ButtonCopy.Enabled:=True;
      ImageShot.Picture.Assign(Screenshot);
    end;
  end;
end;

procedure TMainForm.HandleEditKeyPress(Sender: TObject; var Key: Char);
begin
  if not (Key in ['0'..'9',Char(VK_BACK)]) then Key:=#0;
end;

procedure TMainForm.ButtonCopyClick(Sender: TObject);
begin
  Screenshot.CopyToClipboard;
end;

end.
